/**
 * The {@link @roots/bud-babel# | @roots/bud-babel extension} adds Babel
 * transpilation to {@link @roots/bud-framework# | @roots/bud-framework}.

 * @see https://roots.io/bud
 * @see https://github.com/roots/bud
 *
 * @packageDocumentation
 */
import '@roots/bud';
import '@roots/bud-framework';
import { Item, Loader } from '@roots/bud-build';
import { Config } from './babel.config';
import * as BudBabelExtension from './babel.extension';
declare module '@roots/bud-framework' {
    interface Framework {
        babel: Config;
    }
    interface Modules {
        '@roots/bud-babel': typeof BudBabelExtension;
    }
    interface Loaders {
        babel: Loader;
    }
    interface Items {
        babel: Item;
    }
}
declare module '@roots/bud' {
    interface Bud {
        babel: Config;
    }
    interface Modules {
        '@roots/bud-babel': typeof BudBabelExtension;
    }
    interface Loaders {
        babel: Loader;
    }
    interface Items {
        babel: Item;
    }
}
export declare const name: string, mixin: (app: any) => Promise<{
    babel: any[];
}>, register: (app: import("@roots/bud-framework").Framework) => Promise<void>;
//# sourceMappingURL=index.d.ts.map